PHP is among the most widely used open-source server-side programming languages. It is very popular because it is free software, which can be used to set up responsive websites such as community web portals, web stores or online learning sites rather than static HTML-based websites. A PHP module should be activated on the server where a PHP-driven website is hosted so that its source code can be ‘translated’. As there are no license fees for this type of module and the language offers unlimited possibilities for the web-based apps that you create, there are hundreds of millions of PHP websites. Besides, there are a multitude of open-source PHP scripts, which you can use for your websites without needing to have any programming expertise. Given the fact that there’re a handful of PHP versions, you must verify that the same exact version that you used whilst setting up your website is enabled on the web server as well.

PHP 4, PHP 5 and PHP 7 Support in Web Hosting

If you get a web hosting package from our company, you’ll never need to speculate on whether your sites are compatible with the hosting environment, as several PHP versions are installed on our servers for your convenience’s sake. The Hepsia Control Panel will allow you to choose PHP 4, PHP 5 and PHP 7 with only one click of the mouse and if you want to change the current version, the new settings will take effect instantly. Thus, many years of work on websites created with an older version will not be wasted. Our hosting platform will even permit you to use a different version of PHP for each domain name hosted in your account, so you can use newer and older scripts simultaneously. Most hosting providers on the marketplace offer one, sometimes two versions of PHP. In contrast to them, we reckon that you should be the one to choose the version that your own websites will be using.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

In case you have a site built on an earlier PHP version and you’ve committed time and energy towards setting it up, fixing security gaps and entering web page content, you’ll need to find a hosting service that can support it, as the majority of web hosts these days support only the most recently published PHP version and give up the earlier ones. We, however, have decided to let you pick the version that your own sites need. Our Linux semi-dedicated hosting support PHP 4, PHP 5 and PHP 7, which suggests that you will be able to run both older and newer scripts without losing any custom modifications or wasting time and efforts attempting to make your sites compatible with the hosting platform. You can change the current version from the Hepsia Control Panel and such a change will affect the whole semi-dedicated server account, but you will also have the ability to select a different PHP version for each site that you host in your account using an .htaccess config file.